﻿using assignment1.Interfaces;
using Microsoft.AspNetCore.Mvc;

namespace assignment1.Controllers
{
    [Route("[controller]")]
    [ApiController]
    public class SharedExperienceController : ControllerBase
    {
        private readonly ISharedExperienceService _sharedExperienceService;

        public SharedExperienceController(ISharedExperienceService experienceService)
        {
            _sharedExperienceService = experienceService;
        }

        [HttpGet]
        public async Task<IActionResult> Get()
        {
            return Ok(await _sharedExperienceService.GetAll());
        }

        [HttpGet("guests/{id}")]
        public async Task<IActionResult> GetGuests(int id)
        {
            return Ok(await _sharedExperienceService.GetGuests(id));
        }

        [HttpGet("experiences/{id}")]
        public async Task<IActionResult> ExperiencesGet(int id)
        {
            return Ok(await _sharedExperienceService.GetExperiences(id));
        }

        [HttpGet("guestsInExperience/{id}/{experienceId}")]
        public async Task<IActionResult> GuestsInExperienceGet(int id, int experienceId)
        {
            return Ok(await _sharedExperienceService.GetGuestsInExperience(id, experienceId));
        }
    }
}
